MEAN堆栈和bootstrap / bower问题

我正在探索新的开发方法,并且遇到了MEAN栈,可以在这里find – http://mean.io/#!/

我已经安装了Mongo,Node(加上npm等),并完成了网站上所述的所有步骤。 当我执行grunt(甚至节点server.js)并打开网页 – terminal显示如下:

错误:ENOENT,打开“/Users/xxx/myApp/bower_components/bootstrap/dist/css/bootstrap.css”

首先问题是,bower_components目录实际上并不存在! 我假设这可能是第一个电话号码,但我不完全确定从哪里开始解决这个问题(我是新来的凉亭)。

有没有人有任何MEAN堆栈的经验和/或如何解决与bootstrap / bower_components目录的问题?

任何帮助,将不胜感激。

提前致谢 :)

       

网上收集的解决方案 "MEAN堆栈和bootstrap / bower问题"

这听起来像你没有安装凉亭,并没有安装引导通过凉亭的结果。

安装鲍尔

$ npm install -g bower 

通过凉亭安装bootstrap

 $ bower install bootstrap 

你可以阅读更多关于它的网站 。 并且在这里search凉亭包。 既然你正在使用angular度,你可能也想下载angular引导。

UPDATE

bower提供的是客户端模块的包pipe理器。 与npm类似,区别在于npm也提供了后端/节点模块。

如果您使用的是mean.io您的项目将使用名为bower.json的文件和另一个名为package.json的文件进行准备,该文件指定项目中的依赖关系。 要安装这些,首先得到你的node.js依赖关系:

 $ npm install 

如果您想要在全球范围内安装凉亭,请使用:

 $ npm install -g bower 

然后安装你的鲍尔依赖关系

 $ bower install 

现在你应该好好走了。

您也可以手动添加凉亭

或者如果你想create your mean project from scratch

安装鲍尔

 $ npm install -g bower 

通过凉亭安装bootstrap

 $ bower install bootstrap 

保存您的依赖关系

如果你想创buildbower.json来保存你的依赖:

 $ bower init 

并按照控制台中提供的说明进行操作。

现在,当您安装新的bower软件包时,使用--save和bower会将依赖项添加到您的bower.json中。

 $ bower install bootstrap --save